:root {
    --cta-area-height: 9.5rem;
}

.c-cta-button {
    height: 6.5rem;
}

@media screen and (min-width:1024px) {
    .p-top-container {
        min-height: 0;
        padding: 0;
        padding-bottom: var(--cta-area-height);
    }
}

.p-top {
    padding-top: 4rem;
    padding-bottom: 4rem;
}

@media screen and (min-width: 768px) {
    .p-top {
        padding-top: 6rem;
        padding-bottom: 6rem;
    }
}

@media screen and (min-width: 1024px) {
    .p-top {
        padding: 0;
        /* height: 100%; */
        height: auto;
        /* padding-top: 3.4vh; */
        padding-top: 0;

    }
}

@media screen and (min-width: 1024px) {
    .p-top__inner {
        display: flex;
        flex-direction: column-reverse;
        gap: 0;

        /* width: 93vh; */
        width: 84.5vh;
        max-width: none;
        padding: 0;
    }
}

.p-top-head {}

@media screen and (min-width: 1024px) {
    .p-top-head {
        position: relative;
        /* padding-top: 2.5rem; */
        padding-top: 3vh;
    }
}

@media screen and (min-width: 1024px) {
    .p-top-head__lead-wrap {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        text-align: center;
    }
}

.p-top-head__lead {
    /* width: 30rem; */
    width: 28rem;
}

@media screen and (min-width: 768px) {
    .p-top-head__lead {
        width: 33rem;
    }
}

@media screen and (min-width: 1024px) {
    .p-top-head__lead {
        aspect-ratio: unset;
        /* width: 42rem; */
        /* width: 48vh; */
        width: 42vh;
        max-width: none;
        margin-inline: auto;
        /* margin-bottom: 2rem; */
        /* margin-bottom: 2.3vh; */
        margin-bottom: 2.5vh;
        box-shadow: 0.2rem 0.2rem 1rem rgba(0, 0, 0, 0.15);
    }
}

.p-top-desc__lead-pc {
    margin-top: 1.4em;

    font-size: 1.6rem;
    line-height: var(--line-height-reset);
    letter-spacing: var(--letter-spacing-md);
    text-align: center;
}

@media screen and (min-width: 768px) {
    .p-top-desc__lead-pc {
        font-size: 1.8rem;
    }
}

@media screen and (min-width: 1024px) {
    .p-top-desc__lead-pc {
        margin-top: 0;
        /* font-size: 2.8rem; */
        /* font-size: 3.2vh; */
        /* font-size: 3vh; */
        font-size: 2.8vh;
        line-height: var(--line-height-reset);
        letter-spacing: 0.05em;
    }
}

@media screen and (min-width: 1024px) {
    .p-top-head__logo {
        padding: 8.5% 12%;
    }
}

.p-top-head__image {
    margin-top: -11rem;
}

@media screen and (min-width: 768px) {
    .p-top-head__image {
        margin-top: -17.5rem;
    }
}

@media screen and (min-width: 1024px) {
    .p-top-head__image {
        margin-top: 0;
    }
}

@media screen and (min-width: 1024px) {
    .p-top-desc {
        position: relative;
        top: auto;
        left: auto;
        transform: none;
        width: 100%;
        max-width: none;
        padding: 0;

    }
}

@media screen and (min-width: 1024px) {
    .p-top-desc::before {
        display: none;
    }
}

@media screen and (min-width: 1024px) {
    .p-top-desc__inner {
        display: flex;
        align-items: center;
        /* gap: 2rem; */
        gap: 2.3vh;
        margin-left: 0;
        margin-inline: auto;
        /* margin-bottom: 1.5rem; */
        margin-bottom: 1.7vh;
    }
}

@media screen and (min-width: 1024px) {
    .p-top-desc__lead {
        font-size: 1.8rem;
    }
}

@media screen and (min-width: 1024px) {
    .p-top-desc__lead {
        /* 1024px幅で24px基準 */
        font-size: 1.8vw;
    }
}

@media screen and (min-width: 1610px) {

    /* p-top-desc__innerの横幅がストップする幅で止める*/
    .p-top-desc__lead {
        /* font-size: 3rem; */
        /* font-size: 2.7rem; */
    }
}

.p-top-desc__catch {
    margin-bottom: 0;
    font-size: var(--font-size-5xl);
    letter-spacing: var(--letter-spacing-sm);
}

@media screen and (min-width: 1024px) {
    .p-top-desc__catch {
        /* 1024px幅で28px基準 */
        /* font-size: 2.2vw; */
        font-size: 3.5vh;
        letter-spacing: 0.05em;
    }
}

@media screen and (min-width: 1610px) {

    /* p-top-desc__innerの横幅がストップする幅で止める*/
    .p-top-desc__catch {
        /* font-size: 3.5rem; */
        /* font-size: 3.2rem; */
    }
}

.p-top-desc__address {
    font-size: var(--font-size-xl);

}

@media screen and (min-width: 768px) {
    .p-top-desc__address {
        font-size: 1.8rem;
    }
}

@media screen and (min-width: 1024px) {
    .p-top-desc__address {
        /* 1024px幅で24px基準 */
        font-size: 1.8vw;
    }
}

@media screen and (min-width: 1610px) {

    /* p-top-desc__innerの横幅がストップする幅で止める*/
    .p-top-desc__address {
        /* font-size: 3rem; */
        /* font-size: 2.7rem; */

    }
}

.p-top-desc__strong {
    width: fit-content;
    padding: 0.6em 1.2em;
    margin-inline: auto;
    margin-bottom: 1.5em;
    font-size: var(--font-size-xl);
    line-height: var(--line-height-reset);
    color: var(--color-white);
    background: var(--color-red);
    border-radius: 1.2em;
}

@media screen and (min-width: 768px) {
    .p-top-desc__strong {
        font-size: 1.4rem;
    }
}

@media screen and (min-width: 1024px) {
    .p-top-desc__strong {
        padding: 1.4em;
        /* font-size: 1.5rem; */
        font-size: 1.7vh;
        text-align: center;
        line-height: 1.3;
        border-radius: 50%;
        margin: 0;
    }
}

/* -----
グランドオープン
-----*/
/* プレゼント */
.p-go-present__date {
    max-width: 47rem;
    margin-inline: auto;
}

.p-go-present__subtitle {
    margin-bottom: var(--size-15);
    max-width: 39rem;
    margin-inline: auto;
}

@media screen and (min-width: 768px) {
    .p-go-present__subtitle {
        margin-bottom: 2.5rem;
    }
}

.p-go-present__catch {
    margin-bottom: 1.4em;
}

.p-go-content {
    padding: 2rem 1.5rem;
    margin-bottom: 10px;
}

@media screen and (min-width: 768px) {
    .p-go-content {
        padding: 4rem 3.5rem;
    }
}

.p-go-content__image {
    margin-bottom: 1.5rem;
}

@media screen and (min-width: 768px) {
    .p-go-content__image {
        margin-bottom: 2.5rem;
    }
}

.p-go-content__list {}

@media screen and (min-width: 768px) {
    .p-go-content__list {
        --gap: 3rem;
        display: flex;
        gap: var(--gap);
    }
}

.p-go-content__item {
    margin-bottom: 1rem;
}

@media screen and (min-width: 768px) {
    .p-go-content__item {
        width: calc((100% - var(--gap)) * 0.5);
        margin: 0;
    }
}

.p-go-content__item:last-child {
    margin-bottom: 0;
}


.p-go-content__item:nth-of-type(2)::before {
    background-image: url("../../images/frontier-village-tonden/p-go_num-2.png");

}

.p-go-content__title {
    --icon-size: 1.2em;
    --icon-space: 2rem;

    margin-bottom: 0.5em;
    position: relative;
    display: flex;
    gap: 0.4em;

}

@media screen and (min-width: 768px) {
    .p-go-content__title {
        --icon-space: 3rem;
        font-size: 1.8rem;
    }
}

.p-go-content__title span {
    font-feature-settings: "palt";
    letter-spacing: 0.05em;
}

.p-go-content__title::before {
    content: "";
    display: block;
    width: var(--icon-size);
    height: var(--icon-size);
    margin-top: 0.2em;

    flex-shrink: 0;
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;

}

.p-go-content__title--num-1::before {
    background-image: url("../../images/frontier-village-tonden/p-go_num-1.png");

}

.p-go-content__title--num-2::before {
    background-image: url("../../images/frontier-village-tonden/p-go_num-2.png");

}

.p-go-content__explain {
    padding-left: 1.6em;

    font-size: var(--font-size-md);
    line-height: var(--line-height-body);
    text-align: justify;
    font-feature-settings: "palt";
    letter-spacing: 0.1em;
}

@media screen and (min-width: 768px) {
    .p-go-content__explain {
        font-size: 1.6rem;
    }
}


@media screen and (min-width: 768px) {
    .p-present__detail-body {
        padding-bottom: 5rem;
    }
}

#tg-contact {
    /* u-anchor-targetを可視化して、基準幅で目視で合わせる*/
    --adjust-scroll-amount: 200.8rem;
    top: var(--_adjusted-position-top);
}

@media screen and (min-width: 768px) {
    #tg-contact {
        --adjust-scroll-amount: 274.5rem;
    }
}

@media screen and (min-width: 1024px) {
    #tg-contact {
        --adjust-scroll-amount: 162.8rem;
    }
}

.p-sec-contact {
    padding-top: 0;
}

/* p-contact */
.p-contact {
    padding: var(--section-space-v) 0;
}

/* p-stamp  */
.p-stamp {
    display: flex;
    flex-direction: column;
    gap: 3rem;
    padding: var(--section-space-v) 0;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}


@media screen and (max-width:767px) {
    .p-stamp {
        background-image: url(../../images/frontier-village-tonden/p-stamp-bg.jpg);
    }
}

@media screen and (min-width:768px) and (max-width:1023px) {
    .p-stamp {
        background-image: url(../../images/frontier-village-tonden/p-stamp-bg_tab.jpg);
    }
}

@media screen and (min-width:1024px) and (max-width: 1919px) {
    .p-stamp {
        background-image: url(../../images/frontier-village-tonden/p-stamp-bg_pc.jpg);
    }
}

@media screen and (min-width:1920px) {
    .p-stamp {
        background-image: url(../../images/frontier-village-tonden/p-stamp-bg_pc.jpg);
    }
}

@media screen and (min-width: 768px) {
    .p-stamp__inner {
        width: ;

    }
}

.p-stamp__heading {
    margin-bottom: 5rem;
}

@media screen and (min-width: 1024px) {
    .p-stamp__heading {
        margin-bottom: 10rem;
    }
}

.p-stamp__header {
    display: flex;
    flex-direction: column;
    gap: 2rem;
    margin-bottom: 3.5rem;
}

@media screen and (min-width: 768px) {
    .p-stamp__header {
        width: 47rem;
        margin-inline: auto;
        margin-bottom: 4.5rem;
    }
}

.p-stamp__title {}

.p-stamp__subtitle {
    display: block;
    font-size: var(--font-size-lg);
    line-height: var(--line-height-reset);
    margin-bottom: 1.1em;
    letter-spacing: var(--letter-spacing-md);
}

.p-stamp__title-img {
    display: block;
}

.p-stamp__figure {}

.p-stamp__lead {
    margin-top: 1.5em;
    font-size: var(--font-size-md);
    line-height: var(--line-height-relaxed);
}

.p-stamp__body {}

@media screen and (min-width: 768px) {
    .p-stamp__body {
        width: 47rem;
        margin-inline: auto;
    }
}

@media screen and (min-width: 1024px) {
    .p-stamp__body {
        width: 100%;
    }
}

.p-stamp-content {
    --padding-size: 3rem;
    padding: var(--padding-size);
    border-radius: 3rem;
    background-color: var(--color-white);
    box-shadow: 0.2rem 0.2rem 0.8rem rgba(0, 0, 0, 0.33);
    overflow: hidden;
}

@media screen and (min-width: 768px) {
    .p-stamp-content {
        --padding-size: 4.5rem;
    }
}

@media screen and (min-width: 1024px) {
    .p-stamp-content {
        --padding-size: 3rem;
    }
}

.p-stamp-content__inner {}

.p-stamp-content__list {
    margin-bottom: 3rem;
}

@media screen and (min-width: 1024px) {
    .p-stamp-content__list {
        position: relative;
        display: flex;
        margin-bottom: 0;
    }
}

.p-stamp-content__item {}


.p-stamp-content__item::after {
    content: "";
    display: block;
    width: 100%;
    height: 1.2rem;
    margin: 3rem 0;
    background-image: url(../../images/frontier-village-tonden/separate-arrow.png);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain;
}

@media screen and (min-width: 768px) {
    .p-stamp-content__item::after {
        height: 1.7rem;
        margin: 4.5rem 0;
        background-image: url(../../images/frontier-village-tonden/separate-arrow_tab.png);
    }
}

@media screen and (min-width: 1024px) {
    .p-stamp-content__item::after {
        display: none;
    }
}

.p-stamp-content__item:last-child::after {
    display: none;
}

.p-stamp-content__item-title {
    position: relative;
    display: block;
    padding: 0.8em;
    margin-bottom: 1.5em;

    line-height: var(--line-height-reset);
    text-align: center;
    border-radius: 1.6em;
    background-color: var(--color-yellow);
}

@media screen and (min-width: 1024px) {
    .p-stamp-content__item-title {
        font-size: 1.2rem;
    }
}

.p-stamp-content__item-title::before {
    content: "";
    position: absolute;
    bottom: 0.8em;
    left: -1.4em;
    display: block;
    height: 100%;
    width: 3em;
    background-size: contain;
    background-position: bottom;
    background-repeat: no-repeat;
    z-index: 1;
}

@media screen and (min-width: 1024px) {
    .p-stamp-content__item-title::before {
        left: -1.9em;
        width: 3.5em;
    }
}

.p-stamp-content__item--first .p-stamp-content__item-title::before {
    background-image: url(../../images/frontier-village-tonden/icon_stamp-first.png);
}

.p-stamp-content__item--second .p-stamp-content__item-title::before {
    background-image: url(../../images/frontier-village-tonden/icon_stamp-second.png);
}

.p-stamp-content__brand-icon {
    font-size: 1.2rem;
    margin-bottom: 0.7em;
}


.p-stamp-content__brand-icon img {
    display: block;
    width: 8.2em;
    margin-inline: auto;
}

@media screen and (min-width: 768px) {
    .p-stamp-content__brand-icon img {
        width: 12.5em;
    }
}

@media screen and (min-width: 1024px) {
    .p-stamp-content__brand-icon img {
        width: 8.2em;
    }
}

.p-stamp-content__item-figure {
    margin-bottom: 2rem;
}


.p-stamp-content__item-figure figcaption {
    position: relative;
    margin-bottom: 1.4rem;
    padding: 1em;
    font-size: 1.1rem;
    text-align: center;
    background-color: #E2E5DE;

}

@media screen and (min-width: 768px) {
    .p-stamp-content__item-figure figcaption {
        font-size: 1.6rem;
    }
}

@media screen and (min-width: 1024px) {
    .p-stamp-content__item-figure figcaption {
        font-size: 1.1rem;
        margin-bottom: 0;
        margin-left: 1.7rem;
        padding: 2.5rem 2rem;
    }
}

.p-stamp-content__item-figure figcaption::after {
    content: "";
    position: absolute;
    bottom: -1.6rem;
    right: 22%;
    display: block;
    width: 1.2rem;
    height: 1.6rem;
    background-color: #E2E5DE;
    clip-path: polygon(0 0, 100% 0, 50% 100%);
}

@media screen and (min-width: 1024px) {
    .p-stamp-content__item-figure figcaption::after {
        top: 50%;
        right: 100%;
        bottom: auto;
        transform: translateY(-50%);
        width: 1.2rem;
        height: 0.8rem;
        clip-path: polygon(0 50%, 100% 0, 100% 100%);
    }

}

.p-stamp-content__item-text {
    margin-bottom: 0.5em;
    font-size: var(--font-size-2xl);
    text-align: center;
    letter-spacing: 0;
}

@media screen and (min-width: 1024px) {
    .p-stamp-content__item-text {
        font-size: 1.8rem;
    }
}

.p-stamp-content__item-text small {
    font-size: 0.7em;
}

.p-stamp-content__info {
    margin-bottom: 1em;
}

@media screen and (min-width: 1024px) {
    .p-stamp-content__info {
        margin-bottom: 1rem;
    }
}

.p-stamp-content__info-row {
    display: flex;
    align-items: baseline;
    gap: 0.9rem;
}

.p-stamp-content__info-term {
    flex-shrink: 0;
    width: 3.8em;
    padding: 0.25em 0.8em;
    font-size: var(--font-size-md);
    line-height: var(--line-height-reset);
    text-align: center;
    border: solid 1px currentColor;
}

@media screen and (min-width: 1024px) {
    .p-stamp-content__info-term {
        font-size: 1.2rem;
    }
}

.p-stamp-content__info-desc {
    font-size: 1.5rem;
}

@media screen and (min-width: 768px) {
    .p-stamp-content__info-desc {
        font-size: 2.2rem;
    }
}

@media screen and (min-width: 1024px) {
    .p-stamp-content__info-desc {
        font-size: 1.5rem;
    }
}

.p-stamp-content__item-note {
    font-size: 1rem;
    padding-left: 1em;
    text-indent: -1em;
}

.p-stamp-content__item-note::before {
    content: "※";
}

.p-stamp-content__info-desc-subblock {
    display: block;
    margin-bottom: 0.5em;
    font-size: var(--font-size-md);
    line-height: var(--line-height-reset);
    font-feature-settings: "palt";
}

@media screen and (min-width: 1024px) {
    .p-stamp-content__info-desc-subblock {
        font-size: 1.2rem;
    }
}

.p-stamp-content__info-desc-block {
    display: block;
    font-size: 1.5rem;
    line-height: var(--line-height-reset);
}

@media screen and (min-width: 768px) {
    .p-stamp-content__info-desc-block {
        font-size: 2.2rem;
    }
}

@media screen and (min-width: 1024px) {
    .p-stamp-content__info-desc-block {
        font-size: 1.5rem;
    }

}

.p-stamp-content__address {}

.p-stamp-content__address-row {
    display: flex;
    align-items: baseline;
}

.p-stamp-content__address-term {
    font-size: var(--font-size-md);
    width: 3.2em;
    flex-shrink: 0;
}

@media screen and (min-width: 1024px) {
    .p-stamp-content__address-term {
        font-size: 1.2rem;
    }
}

.p-stamp-content__address-term::after {
    content: "：";
}

.p-stamp-content__address-desc {
    font-size: var(--font-size-md);
    letter-spacing: 0;
}

@media screen and (min-width: 1024px) {
    .p-stamp-content__address-desc {
        font-size: 1.2rem;
    }
}

.p-stamp-content__btn {
    margin-top: 2rem;
    width: 100%;
    padding: 1em 0.5em;
    font-size: var(--font-size-md);
    line-height: var(--line-height-reset);
    text-align: center;
    border: solid 1px currentColor;
    box-shadow: 0.3rem 0.3rem 0.6rem rgba(0, 0, 0, 0.15);
}

@media screen and (min-width: 1024px) {
    .p-stamp-content__btn {
        font-size: 1.2rem;
        margin-top: 0;
        transition: opacity 0.3s ease;
    }

    .p-stamp-content__btn:hover {
        opacity: 0.7;
    }
}

.js-dialog-open {}

.p-stamp-content__dialog {}

.js-dialog {}

.p-stamp-content__dialog-close {}

.js-dialog-close {}

.p-stamp-content__band-text {
    font-size: var(--font-size-md);
    background-color: var(--color-yellow);
    text-align: center;
    padding: 2rem;
}

@media screen and (min-width: 768px) {
    .p-stamp-content__band-text {
        padding: 3rem 2rem;
    }
}

@media screen and (min-width: 1024px) {
    .p-stamp-content__band-text {
        display: flex;
        align-items: center;
        justify-content: center;
        width: 72.5%;
        margin-inline: auto;
        aspect-ratio: 1 / 1;
        border-radius: 50%;
        font-size: 1.4rem;
        line-height: var(--line-height-relaxed);
    }
}

.p-stamp-content__footer {
    position: relative;
    padding-top: 3rem;
}

@media screen and (min-width: 1024px) {
    .p-stamp-content__footer {
        margin-top: 3rem;
        padding-right: 20rem;
    }
}

.p-stamp-content__footer::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: calc(100% + var(--padding-size) * 2);
    height: calc(100% + var(--padding-size));
    margin-left: calc(var(--padding-size) * -1);
    margin-right: calc(var(--padding-size) * -1);
    background-color: #EEE9D2;
}



.p-stamp-content__footer-inner {
    position: relative;
    margin-inline: -1rem;
}

@media screen and (min-width: 1024px) {
    .p-stamp-content__footer-inner {
        padding: 0 2rem;
        display: flex;
        gap: 1.5rem;
        align-items: center;
    }
}

.p-stamp-content__announce {
    padding: 0.6em;
    margin-bottom: 1rem;
    font-size: 1.5rem;
    line-height: var(--line-height-reset);
    text-align: center;
    border: solid 1px currentColor;
}

@media screen and (min-width: 768px) {
    .p-stamp-content__announce {
        font-size: 2.1rem;
    }
}

@media screen and (min-width: 1024px) {
    .p-stamp-content__announce {
        flex-shrink: 0;
        display: flex;
        align-items: center;
        justify-content: center;
        width: 9.5em;
        height: 3em;
        margin: 0;
        font-size: 1.5rem;
    }

}

.p-stamp-content__notes {
    line-height: 1.5;
}

.c-inline-notes {}

.c-inline-notes__item {}

/* １つ目 */
.p-stamp-content__item--first {
    position: relative;
}

@media screen and (min-width: 1024px) {
    .p-stamp-content__item--first {
        width: 37.5%;
        flex-shrink: 0;
        padding-right: 4.5rem;
        margin-right: 3rem;
    }
}

@media screen and (min-width: 1024px) {
    .p-stamp-content__item--first::after {
        position: absolute;
        top: 0;
        left: 100%;
        transform: translateX(-100%);

        display: block;
        width: 1.15rem;
        height: 100%;
        margin: 0;
        background-image: url(../../images/frontier-village-tonden/saparate-arrow_pc.png);
    }
}

/* ２つ目 */
@media screen and (min-width: 1024px) {

    /* PCレイアウト */
    .p-stamp-content__item--second {
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
        align-items: center;
    }

    .p-stamp-content__item--second .p-stamp-content__item-title,
    .p-stamp-content__item--second .p-stamp-content__item-text,
    .p-stamp-content__item--second .p-stamp-content__item-note,
    .p-stamp-content__item--second .p-stamp-content__pc-flex {
        width: 100%;
    }

    .p-stamp-content__item--second .p-stamp-content__brand-icon {
        width: fit-content;
        flex-shrink: 0;
        margin-right: 0.5em;
    }

    .p-stamp-content__item--second .p-stamp-content__brand-icon+.p-stamp-content__item-text {
        width: fit-content;
    }
}

.p-stamp-content__item--second .p-stamp-content__item-figure {
    margin-bottom: 1rem;
}

@media screen and (min-width: 1024px) {
    .p-stamp-content__item--second .p-stamp-content__item-figure {
        display: flex;
        align-items: flex-end;
        flex-direction: row-reverse;
        width: 100%;
    }
}

@media screen and (min-width: 1024px) {
    .p-stamp-content__item--second .p-stamp-content__item-figure img {
        display: block;
        height: fit-content;
        width: 62%;
    }
}

@media screen and (min-width: 1024px) {
    .p-stamp-content__item--second .p-stamp-content__item-title::before {
        left: 18%;
    }
}

.p-stamp-content__item--second .p-stamp-content__item-note {
    margin-bottom: 2rem;
}



/* 最後 */
@media screen and (min-width: 1024px) {
    .p-stamp-content__item--last {
        position: absolute;
        top: 100%;
        right: 0;
        bottom: auto;
        transform: translateY(-19%);
        width: 20rem;
        z-index: 1;

    }
}

@media screen and (min-width: 1024px) {
    .p-stamp-content__pc-flex {
        display: flex;
    }

    .p-stamp-content__pc-flex-start {
        width: 55%;
        flex-shrink: 0;
    }

    .p-stamp-content__pc-flex-end {
        width: 20rem;
        margin-left: auto;
    }
}

@media screen and (min-width: 1024px) {

    .u-mb-0-pc {
        margin-bottom: 0;
    }
}

.p-stamp__dialog {
    padding: 0;
    border: none;
    background: transparent;
    width: calc(100% - 6rem);
    max-width: 860px;
    max-height: 90vh;

    transition: display 0.2s allow-discrete, overlay 0.2s allow-discrete, opacity 0.2s ease;
    opacity: 0;
    /* 閉じている時は透明 */
}

.p-stamp__dialog[open] {
    opacity: 1;
}

@starting-style {

    /*@starting-styel→safari確認*/
    .p-stamp__dialog[open] {
        opacity: 0;
    }
}

/* dialogが開いている時の背景（黒い半透明） */
.p-stamp__dialog::backdrop {
    background-color: transparent;
    transition: display 0.2s allow-discrete, overlay 0.2s allow-discrete, background-color 0.2s ease;
}

/* 開いている時の状態 */
.p-stamp__dialog[open]::backdrop {
    background-color: rgba(0, 0, 0, 0.8);
}

/* 開き始めの初期状態 */
@starting-style {
    .p-stamp__dialog[open]::backdrop {
        background-color: transparent;
    }
}

/* モーダルの中身の白枠 */
.p-stamp__dialog-inner {
    position: relative;
    background: var(--color-white);
    padding: 5rem 3rem;
    padding-bottom: 3rem;
}

@media screen and (min-width: 768px) {
    .p-stamp__dialog-inner {
        padding: 10rem 6rem;
    }
}

@media screen and (min-width: 1024px) {
    .p-stamp__dialog-inner {
        padding: 6rem;
    }
}

.p-stamp__dialog-content {
    padding-top: 0.6rem;
}

@media screen and (min-width: 768px) {
    .p-stamp__dialog-content {
        padding-top: 3.4rem;
    }
}

@media screen and (min-width: 1024px) {
    .p-stamp__dialog-content {
        padding-top: 0;
        margin-top: -0.6rem;
    }
}

@media screen and (min-width: 768px) {
    .p-stamp__dialog-content {
        display: flex;
        --gap: 3rem;
        gap: var(--gap);
    }
}

.p-stamp__dialog-content figure:last-child {
    margin-bottom: 0;
}


/* 閉じるボタン */
.p-stamp__dialog-close {
    position: sticky;
    top: 0;
    display: block;
    width: 4.4rem;
    height: 4.4rem;
    margin-left: auto;
    margin-top: -5rem;
    margin-right: -3rem;

    background: none;
    border: none;
    line-height: 1;
    cursor: pointer;
    color: #333;

    background-color: rgba(255, 255, 255, 0.8);
}

@media screen and (min-width: 768px) {
    .p-stamp__dialog-close {
        width: 6.6rem;
        height: 6.6rem;

        margin-top: -10rem;
        margin-right: -6rem;
    }
}

@media screen and (min-width: 1024px) {
    .p-stamp__dialog-close {
        margin-top: -6rem;
        margin-right: -6rem;
        transition: opacity 0.3s ease;
    }

    .p-stamp__dialog-close:hover {
        opacity: 0.7;
    }
}

.p-stamp__dialog-close-line {
    position: absolute;
    top: 50%;
    left: 50%;
    display: block;
    width: 45%;
    height: 1px;
    background-color: #000;
}

.p-stamp__dialog-close-line:nth-of-type(1) {
    transform: translate(-50%, -50%) rotate(-45deg);
}

.p-stamp__dialog-close-line:nth-of-type(2) {
    transform: translate(-50%, -50%) rotate(45deg);
}

/* モーダルコンテンツ */
.p-toyohira {
    display: flex;
    flex-direction: column;
    gap: 3rem;

    max-width: 46rem;
    margin-inline: auto;
}

.p-toyohira__header {
    display: flex;
    flex-direction: column;
    gap: 3rem;
}

.p-toyohira__title {}

.p-toyohira__title>img {
    display: block;
    width: 100%;
    margin-inline: auto;
}

@media screen and (min-width: 768px) {
    .p-toyohira__title>img {
        width: 13em;

    }
}

.p-toyohira__lead {
    font-size: 1.6rem;
    line-height: var(--line-height-loose);
}

@media screen and (min-width: 768px) {

    .p-toyohira__body.u-breakout-1-5 {
        margin-left: auto;
        margin-right: auto;
    }
}

.p-toyohira__interior {
    --gap: 1.5rem;
    display: flex;
    flex-direction: column;
    gap: var(--gap);
}

@media screen and (min-width: 768px) {
    .p-toyohira__interior {
        flex-direction: row;
        flex-wrap: wrap;
    }

    .p-toyohira__interior figure {
        width: 100%;
    }

    .p-toyohira__interior figure:nth-of-type(2),
    .p-toyohira__interior figure:nth-of-type(3) {
        width: calc((100% - var(--gap)) * 0.5);
    }
}

.p-toyohira__interior img {
    display: block;
    aspect-ratio: 10 / 7;
    object-fit: cover;
}

.p-toyohira__facade {
    margin-top: 5rem;
}

.p-toyohira__caution {
    margin-top: 5rem;
    font-size: 1rem;
}

@media screen and (min-width: 768px) {

    .p-toyohira__caution {
        margin-top: 6rem;
    }
}

.p-toyohira__caution::before {
    content: "※";
}